Get a Screen
curl --request GET \
--url https://api.framen.com/vendor/{org_token}/screens/{screen_id}import requests
url = "https://api.framen.com/vendor/{org_token}/screens/{screen_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.framen.com/vendor/{org_token}/screens/{screen_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get a Screen
Retrieve a single screen by its ID.
GET
/
vendor
/
{org_token}
/
screens
/
{screen_id}
Get a Screen
string
required
Your organization token (e.g.,
Org_4KmTqZnWpLx).string
required
The unique identifier of the screen to retrieve.
Response
Returns the Screen object with all fields populated.Example Request
curl -X GET https://api.framen.com/vendor/Org_4KmTqZnWpLx/screens/Scr_xYz789
Example Response
{
"screen_id": "Scr_xYz789",
"title": "Lobby Display A",
"venue_type_id": "205",
"location_id": "Loc_f9FxuWDTfzy",
"width": 1920,
"height": 1080,
"loop_duration": 60,
"archived": false,
"available_for_ads": true,
"amount": 1,
"imps_weekly": 5000
}
Last modified on April 17, 2026
⌘I